Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets.jsp.taglib
Class BaseTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.content.manager.servlets.jsp.taglib.BaseTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  GetNodeTag, GetPropertyTag, SearchTag, SetNodeTag

    public abstract class BaseTag

extends javax.servlet.jsp.tagext.TagSupport

The base class for all content tags.

This provides support for the `failOnError`, `useCache`, `cacheScope`, `cacheId`, and `cacheTimeout` parameters.

See Also
  Serialized Form

Field Summary
`protected String` | `cacheId` The cache id.
`protected String` | `cacheScope` The cache scope.
`protected long` | `cacheTimeout` The cache timeout.
`protected boolean` | `failOnError` Are we supposed to throw an exception on an error.
`protected boolean` | `useCache` Should this try to use the `NodeCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseTag()`

Method Summary
`String` | `getCacheId()` Get the cacheId which should be used.
`String` | `getCacheScope()` Get the value of `cacheScope`.
`String` | `getCacheTimeout()` Get the value of `cacheTimeout`.
`String` | `getFailOnError()` Get the value of `failOnError` as a string.
`javax.servlet.http.HttpSession` | `getHttpSession()` Get the current HttpSession.
`String` | `getUseCache()` Get the value of `useCache`.
`String` | `getUserId()` Get the user id of the current user.
`void` | `release()` Release the tag by setting everything to the default.
`void` | `setCacheId(String s)` Set the value of `cacheId`.
`void` | `setCacheScope(String s)` Sets the value of `cacheScope`.
`void` | `setCacheTimeout(long l)` Set the value of `cacheTimeout`.
`void` | `setCacheTimeout(String v)` Set the value of `cacheTimeout`.
`void` | `setFailOnError(boolean b)` Set the value of `failOnError`.
`void` | `setFailOnError(String s)` Set the value of `failOnError`.
`void` | `setUseCache(boolean b)` Set the value of `useCache`.
`void` | `setUseCache(String s)` Set the value of `useCache`.
`static Map` | `toDictionary(String in)` Convert a semi-colon separated of "name=value" pairs into a map.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### failOnError

    protected boolean failOnError

  Are we supposed to throw an exception on an error.

### useCache

    protected boolean useCache

  Should this try to use the `NodeCache`

### cacheScope

    protected String cacheScope

  The cache scope.

  This should correspond to something which the `NodeCache` understands. The standard values are "application", "session", "page" (unrelated to result set pagination), and "request". The default is "session".

### cacheId

    protected String cacheId

  The cache id.

  When accessing the cache, in general, if this is not set, then the ID should be used.

### cacheTimeout

    protected long cacheTimeout

  The cache timeout.

Constructor Detail

### BaseTag

    public BaseTag()

Method Detail

### release

    public void release()

  Release the tag by setting everything to the default.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getHttpSession

    public javax.servlet.http.HttpSession getHttpSession()

  Get the current HttpSession.

### getFailOnError

    public String getFailOnError()

  Get the value of `failOnError` as a string.

### setFailOnError

    public void setFailOnError(String s)

  Set the value of `failOnError`.

### setFailOnError

    public void setFailOnError(boolean b)

  Set the value of `failOnError`.

### getUseCache

    public String getUseCache()

  Get the value of `useCache`.

### setUseCache

    public void setUseCache(String s)

  Set the value of `useCache`.

### setUseCache

    public void setUseCache(boolean b)

  Set the value of `useCache`.

### getCacheScope

    public String getCacheScope()

  Get the value of `cacheScope`.

### setCacheScope

    public void setCacheScope(String s)

  Sets the value of `cacheScope`.

### getCacheId

    public String getCacheId()

  Get the cacheId which should be used.

### setCacheId

    public void setCacheId(String s)

  Set the value of `cacheId`.

### getCacheTimeout

    public String getCacheTimeout()

  Get the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(String v)

  Set the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(long l)

  Set the value of `cacheTimeout`.

### getUserId

    public String getUserId()

  Get the user id of the current user.

### toDictionary

    public static Map toDictionary(String in)

  Convert a semi-colon separated of "name=value" pairs into a map.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.